> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Folder Summary > Returns information about a specified folder ## OpenAPI ````json GET /api/v1/Authoring/projects/{projectId}/folders/{folderId} { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Authoring/projects/{projectId}/folders/{folderId}": { "get": { "tags": [ "Authoring" ], "summary": "Get Folder Summary", "description": "Returns information about a specified folder", "parameters": [ { "name": "projectId", "in": "path", "description": "Project containing the folder", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "folderId", "in": "path", "description": "Folder to retrieve", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.FolderSummary" } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorResponse" } } } }, "403": { "description": "Forbidden" } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.FolderSummary": { "title": "FolderSummary", "type": "object", "properties": { "id": { "type": "integer", "description": "The ID of the folder", "format": "int32" }, "name": { "type": "string", "description": "The name of the folder", "nullable": true }, "type": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.FolderType" }, "createdBy": { "type": "string", "description": "The creator name of the folder", "nullable": true }, "dateCreated": { "type": "string", "description": "The creation date of the folder", "format": "date-time" }, "dateModified": { "type": "string", "description": "The latest modification date of the folder", "format": "date-time" }, "description": { "type": "string", "description": "The description of the folder", "nullable": true }, "parentFolder": { "type": "string", "description": "The parent folder of the folder", "nullable": true }, "tests": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "description": "The child tests of the folder" }, "folders": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "description": "The child folders of the folder" }, "jobs": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "description": "The child jobs of the folder" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorResponse": { "title": "ErrorResponse", "type": "object", "properties": { "error": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.FolderType": { "title": "FolderType", "enum": [ "Test", "Job", "Project" ], "type": "string" }, "Configuration.Api.Models.v1.Common.KeyValue": { "title": "KeyValue", "type": "object", "additionalProperties": false } } } } ````